package com.br.aulas;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;

public class DatabaseConnection {
	static private SQLiteDatabase connection = null;
	static private String database = "";
	static private Context context;
	static private String table = "create table if not exists agenda ( "
			+ " id integer not null primary key autoincrement,"
			+ "	nome varchar(100), telefone varchar(20))";

	static public void setConfig(String databaseName, Context c) {
		database = databaseName;
		context = c;
	}

	static public SQLiteDatabase getConnection() {
		if (connection == null) {
			try {
				connection = context.openOrCreateDatabase(database, 0, null);
				connection.execSQL(table);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
		return connection;
	}
}